<!DOCTYPE HTML>
<html>
  <head>
    <style>
		div{
			width:200px;
			height:100px;
			margin:0px auto;
		}
    </style>
    <script type="text/javascript">
    	var canvas;
    	var imagen=new Image();
    	var malo=new Image();
    	imagen.src="imgs/pacman.png";
    	malo.src="imgs/malo.png";

    	var global={};
    	global.x=0;
    	global.y=0;
		global.grados=0;
		global.direccion=null;
		global.incremento=1;
		global.xMalo=50;
		global.yMalo=100;
		global.malo=100;
		global.direccionMalo="derecha";




    	window.addEventListener("load",()=>{
			canvas=document.querySelector("canvas");
			ctx=canvas.getContext("2d");
			setInterval(dibujar,10);
			window.addEventListener("keydown",cogerTecla);
    	});

    	function mover(g){
			switch(g.direccion){
				case "arriba":
					g.y-=global.incremento;
					if(g.y<=0){
						global.direccion="abajo";
						imagen.src="imgs/pacman1.png"
					}
					document.querySelector("audio").play();
					break;
				case "abajo":
					g.y+=global.incremento;
					if(g.y>=canvas.height-50){
						global.direccion="arriba";
						imagen.src="imgs/pacman4.png"
					}
					document.querySelector("audio").play();
					break;
				case "izquierda":
					g.x-=global.incremento;
					if(g.x<=0){
						global.direccion="derecha";
						imagen.src="imgs/pacman.png"
					}
					document.querySelector("audio").play();
					break;
				case "derecha":
					g.x+=global.incremento;
					if(g.x>=canvas.width-50){
						global.direccion="izquierda";
						imagen.src="imgs/pacman2.png"
					}
					document.querySelector("audio").play();
					break;				
				default:
					break;	
			}
		}

    	function cogerTecla(){
			switch(event.which){
				case 38:
					global.direccion="arriba";
					imagen.src="imgs/pacman4.png"
					break;
				case 40:
					global.direccion="abajo";
					imagen.src="imgs/pacman1.png"
					break;
				case 37:
					global.direccion="izquierda";
					imagen.src="imgs/pacman2.png"
					break;
				case 39:
					global.direccion="derecha";
					imagen.src="imgs/pacman.png"
					break;				
			}
		}

    	function dibujar(){
			ctx.clearRect(0,0,canvas.width,canvas.height);
			mover(global);

			moverMalo();
			ctx.drawImage(imagen, global.x,global.y);
			ctx.drawImage(malo, global.xMalo,global.yMalo);
    	}

    	function moverMalo(){
    		var temporal=new Array("arriba","abajo","izquierda","derecha");
    		if(--global.malo==0){
    			global.direccionMalo=temporal[Math.floor(Math.random()*4)];
    			global.malo=100;
    		}
    		switch(global.direccionMalo){
				case "arriba":
					global.yMalo-=global.incremento;
					if(global.yMalo<=0){
						global.direccionMalo="abajo";
					}
					break;
				case "abajo":
					global.yMalo+=global.incremento;
					if(global.yMalo>=canvas.height-50){
						global.direccionMalo="arriba";	
					}
					break;
				case "izquierda":
					global.xMalo-=global.incremento;
					if(global.xMalo<=0){
						global.direccionMalo="derecha";
					}
					break;
				case "derecha":
					global.xMalo+=global.incremento;
					if(global.xMalo>=canvas.width-50){
						global.direccionMalo="izquierda";
					}
					break;				
				default:
					break;	
			}

    	}


    </script>
  </head>
  <body>
	<canvas width="600" height="400" style="background-color:#ccc"></canvas>
	<audio src="pacman.m4a"></audio>
  </body>
</html>      